org.eclipse.cdt.utils.coff

## Class PEArchive

- java.lang.Object
- - org.eclipse.cdt.utils.coff.PEArchive

Deprecated.
- use org.eclipse.cdt.ui.utils.AR

    @Deprecated
    public class PEArchive
    extends Object

The `AR` class is used for parsing standard ELF archive (ar) files. Each object within the archive is represented by an ARHeader class. Each of of these objects can then be turned into an PE object for performing PE class operations.

See Also:
  `PEArchive.ARHeader`

### Nested Class Summary

Nested Classes
`class` `PEArchive.ARHeader` Deprecated. The `ARHeader` class is used to store the per-object file archive headers.

### Field Summary

Fields
`protected String` `filename` Deprecated.
`protected RandomAccessFile` `rfile` Deprecated.
`protected long` `strtbl_pos` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`PEArchive(String filename)` Deprecated. Creates a new `AR` object from the contents of the given file.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `dispose()` Deprecated.
`String[]` `extractFiles(String outdir)` Deprecated.
`String[]` `extractFiles(String outdir, String[] names)` Deprecated.
`protected void` `finalize()` Deprecated. Do not leak fds.
`PEArchive.ARHeader[]` `getHeaders()` Deprecated. Get an array of all the object file headers for this archive.
`static boolean` `isARHeader(byte[] ident)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### filename

    protected String filename

Deprecated.

#### rfile

    protected RandomAccessFile rfile

Deprecated.

#### strtbl_pos

    protected long strtbl_pos

Deprecated.

### Constructor Detail

#### PEArchive

    public PEArchive(String filename)
              throws IOException

Deprecated.
Creates a new `AR` object from the contents of the given file.

Parameters:
  `filename` - The file to process.
Throws:
  `IOException` - The file is not a valid archive.

### Method Detail

#### dispose

    public void dispose()

Deprecated.

#### finalize

    protected void finalize()
                     throws Throwable

Deprecated.
Do not leak fds.

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

#### isARHeader

    public static boolean isARHeader(byte[] ident)

Deprecated.

#### getHeaders

    public PEArchive.ARHeader[] getHeaders()
                                    throws IOException

Deprecated.
Get an array of all the object file headers for this archive.

Returns:
  An array of headers, one for each object within the archive.
Throws:
  `IOException` - Unable to process the archive file.
See Also:
  `PEArchive.ARHeader`

#### extractFiles

    public String[] extractFiles(String outdir,
                                 String[] names)
                          throws IOException

Deprecated.

Throws:
  `IOException`

#### extractFiles

    public String[] extractFiles(String outdir)
                          throws IOException

Deprecated.

Throws:
  `IOException`